--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Builds a new Directory
- !ruby/struct:SM::Flow::H 
  level: 3
  text: Parameters
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "generator<Object>:"
    body: The generator
  - !ruby/struct:SM::Flow::LI 
    label: "name<Symbol>:"
    body: The name of this directory
  - !ruby/struct:SM::Flow::LI 
    label: "destination<String>:"
    body: Full path to the destination of this directory
  - !ruby/struct:SM::Flow::LI 
    label: "options<Hash{Symbol=>Symbol}:"
    body: Options, including callbacks.
  type: :NOTE
full_name: Templater::Actions::EmptyDirectory::new
is_singleton: true
name: new
params: (generator, name, destination, options={})
visibility: public
